


    /* EPC Imp to C Translation Release 4 Version Apr 95 */


#include "imptoc.h"

main() {
/*************************************************************************/
/**    Tests function results are not disturbed by undeclaring          **/
/**     dynamic arrays                                                  **/
/*************************************************************************/
static int itest(int n) {
int a [n+1];
 a [n]=(int)pow(n,2);
 return a [n];
}
static double rtest(int n) {
double a [n+1];
 a [n]=((double)16) / ((double)3);
 return a [n];
}
int i;
double x;
 i=itest(100);
 x=rtest(1000);
if (i==10000 && x==(((double)16) / ((double)3)))  fprintf(out_file, "%s", "TEST OK"); else {
 fprintf(out_file, "%s", "FAIL");
 fprintf(out_file, "%s", "\nExpected =         100000");
 fprintf(out_file, " %e",((double)16) / ((double)3));
 fprintf(out_file, "%s", "\nactual    =");
 fprintf(out_file, "%11d",i);	 fprintf(out_file, " %e",x);
}
exit(0);
}

/* end of automatic translation */

